<?php

namespace App\Events;

use Illuminate\Queue\SerializesModels;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;

class NotifikasiUbahHapus implements ShouldBroadcast
{
  use Dispatchable, InteractsWithSockets, SerializesModels;

  public $norujukan,$kelulusan,$komen,$teller;

  public function __construct($norujukan,$kelulusan,$komen,$teller)
  {
      $this->norujukan = $norujukan;
      $this->kelulusan = $kelulusan;
      $this->komen = $komen;
      $this->teller = $teller;
  }

  public function broadcastOn()
  {
    return ['notice-ubahhapus'];
  }

  public function broadcastAs()
  {
    return 'my-ubahhapus';
  }
}